Page MenuHomePhabricator

Horizontal scrollbar on reference previews is hidden by the vertical fadout
Closed, ResolvedPublic5 Story Points

Description

Bug Report
When the content of the reference exceeds the references preview popup size vertically and horizontally the horizontal scrollbar is currently hidden by the fade-element and will only be visible and intractable when you have scrolled vertically to the end of the popup content.

See for example reference #1 on https://de.wikipedia.org/wiki/Ewiger_Medaillenspiegel_der_Olympischen_Spiele

Acceptance Criteria

  • The horizontal scroll bar should not be affected by fade-out effects.

Details

Related Gerrit Patches:

Event Timeline

Lea_WMDE triaged this task as Medium priority.Apr 10 2019, 3:49 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 5.
awight added a subscriber: awight.Apr 22 2019, 8:59 PM

FWIW, I tried a lazy workaround, giving the gradient a z-index of -1 and moving the mw-parser-output block to -2, but then it becomes impossible to scroll the popup.

I couldn't find a CSS-only fix, but maybe we can implement in JS by pushing the gradient mask up by the scrollbar height?

I couldn't find a CSS-only fix, but maybe we can implement in JS by pushing the gradient mask up by the scrollbar height?

I'll first also try to fiddle with the DOM a bit in that part of the code. But if we really just find a JS solution that might be also fine. - Thanks for looking into it already :-)

Change 506494 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Don't block clicks on vertical scrollbar behind fade-out effect

https://gerrit.wikimedia.org/r/506494

Change 506495 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Allow text selection on all fade-outs, not only on references

https://gerrit.wikimedia.org/r/506495

Change 506494 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Don't block clicks on vertical scrollbar behind fade-out effect

https://gerrit.wikimedia.org/r/506494

Change 506495 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Allow text selection on all fade-outs, not only on references

https://gerrit.wikimedia.org/r/506495

Change 506649 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Avoid fade-out above horizontal scrollbars

https://gerrit.wikimedia.org/r/506649

Change 506676 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Streamline code calculating fade-out bottom position

https://gerrit.wikimedia.org/r/506676

Change 506649 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Avoid fade-out above horizontal scrollbars

https://gerrit.wikimedia.org/r/506649

Change 506676 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Streamline code calculating fade-out bottom position

https://gerrit.wikimedia.org/r/506676

Can be tested on the testwiki on Ewiger Medaillenspiegel der Olympischen Spiele

Lea_WMDE closed this task as Resolved.May 6 2019, 1:48 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-04-17 board.